extends Node


func _ready():
	$UI.set_next_shape($GameBoard.next_shape)
	
	$GameBoard.connect("score_changed", $UI, "update_score")
	$GameBoard.connect("new_next_shape", $UI, "set_next_shape")
	$GameBoard.connect("game_over", $UI, "on_game_over")
	$UI/GameOverUI/VBoxContainer/RestartButton.connect("pressed", self, "reload")


func reload():
	get_tree().reload_current_scene()
